## sendmail-wide 8.9.3+3.2W

=== cf/cf/Makefile ===
#
#  Makefile for configuration files.
#
#	@(#)Makefile	8.17 (Berkeley) 4/2/1998
#

#
#  Create configuration files using "m4 ../m4/cf.m4 file.mc > file.cf";
#  this may be easier than tweaking the Makefile.  You do need to
#  have a fairly modern M4 available (GNU m4 works).  On SunOS, use
#  /usr/5bin/m4.
#

M4=	m4
CFDIR=	..
CHMOD=	chmod
ROMODE=	444
RM=	rm -f

.SUFFIXES:  .mc .cf

.mc.cf:
	$(RM) $@
	$(M4) ${CFDIR}/m4/cf.m4 $*.mc > $@ || ( $(RM) $@ && exit 1 )
	$(CHMOD) $(ROMODE) $@

ALL=	generic-bsd4.4.cf generic-hpux9.cf generic-hpux10.cf \
		generic-osf1.cf generic-solaris2.cf \
		generic-sunos4.1.cf generic-ultrix4.cf \
	cs-hpux9.cf cs-osf1.cf cs-solaris2.cf \
		cs-sunos4.1.cf cs-ultrix4.cf \
	s2k-osf1.cf s2k-ultrix4.cf \
	chez.cs.cf huginn.cs.cf mail.cs.cf mail.eecs.cf mailspool.cs.cf \
		python.cs.cf ucbarpa.cf ucbvax.cf vangogh.cs.cf knecht.cf

all: $(ALL)

clean cleandir:
	$(RM) $(ALL) core

depend install: 

# this is overkill, but....
M4FILES=\
	${CFDIR}/domain/Berkeley.EDU.m4 \
	${CFDIR}/domain/CS.Berkeley.EDU.m4 \
	${CFDIR}/domain/EECS.Berkeley.EDU.m4 \
	${CFDIR}/domain/S2K.Berkeley.EDU.m4 \
	${CFDIR}/domain/berkeley-only.m4 \
	${CFDIR}/domain/generic.m4 \
	${CFDIR}/feature/accept_unqualified_senders.m4 \
	${CFDIR}/feature/accept_unresolvable_domains.m4 \
	${CFDIR}/feature/access_db.m4 \
	${CFDIR}/feature/allmasquerade.m4 \
	${CFDIR}/feature/always_add_domain.m4 \
	${CFDIR}/feature/bestmx_is_local.m4 \
	${CFDIR}/feature/bitdomain.m4 \
	${CFDIR}/feature/blacklist_recipients.m4 \
	${CFDIR}/feature/loose_relay_check.m4 \
	${CFDIR}/feature/domaintable.m4 \
	${CFDIR}/feature/genericstable.m4 \
	${CFDIR}/feature/limited_masquerade.m4 \
	${CFDIR}/feature/local_lmtp.m4 \
	${CFDIR}/feature/local_procmail.m4 \
	${CFDIR}/feature/mailertable.m4 \
	${CFDIR}/feature/masquerade_entire_domain.m4 \
	${CFDIR}/feature/masquerade_envelope.m4 \
	${CFDIR}/feature/nocanonify.m4 \
	${CFDIR}/feature/nodns.m4 \
	${CFDIR}/feature/notsticky.m4 \
	${CFDIR}/feature/nouucp.m4 \
	${CFDIR}/feature/nullclient.m4 \
	${CFDIR}/feature/promiscuous_relay.m4 \
	${CFDIR}/feature/rbl.m4 \
	${CFDIR}/feature/redirect.m4 \
	${CFDIR}/feature/relay_based_on_MX.m4 \
	${CFDIR}/feature/relay_entire_domain.m4 \
	${CFDIR}/feature/relay_hosts_only.m4 \
	${CFDIR}/feature/relay_local_from.m4 \
	${CFDIR}/feature/smrsh.m4 \
	${CFDIR}/feature/stickyhost.m4 \
	${CFDIR}/feature/use_ct_file.m4 \
	${CFDIR}/feature/use_cw_file.m4 \
	${CFDIR}/feature/uucpdomain.m4 \
	${CFDIR}/feature/virtusertable.m4 \
	${CFDIR}/hack/cssubdomain.m4 \
	${CFDIR}/m4/cf.m4 \
	${CFDIR}/m4/cfhead.m4 \
	${CFDIR}/m4/nullrelay.m4 \
	${CFDIR}/m4/proto.m4 \
	${CFDIR}/m4/version.m4 \
	${CFDIR}/mailer/cyrus.m4 \
	${CFDIR}/mailer/fax.m4 \
	${CFDIR}/mailer/local.m4 \
	${CFDIR}/mailer/mail11.m4 \
	${CFDIR}/mailer/pop.m4 \
	${CFDIR}/mailer/procmail.m4 \
	${CFDIR}/mailer/smtp.m4 \
	${CFDIR}/mailer/usenet.m4 \
	${CFDIR}/mailer/uucp.m4 \
	${CFDIR}/ostype/aix2.m4 \
	${CFDIR}/ostype/aix3.m4 \
	${CFDIR}/ostype/altos.m4 \
	${CFDIR}/ostype/amdahl-uts.m4 \
	${CFDIR}/ostype/aux.m4 \
	${CFDIR}/ostype/bsd4.3.m4 \
	${CFDIR}/ostype/bsd4.4.m4 \
	${CFDIR}/ostype/bsdi1.0.m4 \
	${CFDIR}/ostype/bsdi2.0.m4 \
	${CFDIR}/ostype/dgux.m4 \
	${CFDIR}/ostype/domainos.m4 \
	${CFDIR}/ostype/dynix3.2.m4 \
	${CFDIR}/ostype/gnuhurd.m4 \
	${CFDIR}/ostype/hpux10.m4 \
	${CFDIR}/ostype/hpux9.m4 \
	${CFDIR}/ostype/irix4.m4 \
	${CFDIR}/ostype/irix5.m4 \
	${CFDIR}/ostype/irix6.m4 \
	${CFDIR}/ostype/linux.m4 \
	${CFDIR}/ostype/maxion.m4 \
	${CFDIR}/ostype/mklinux.m4 \
	${CFDIR}/ostype/nextstep.m4 \
	${CFDIR}/ostype/osf1.m4 \
	${CFDIR}/ostype/powerux.m4 \
	${CFDIR}/ostype/ptx2.m4 \
	${CFDIR}/ostype/qnx.m4 \
	${CFDIR}/ostype/riscos4.5.m4 \
	${CFDIR}/ostype/sco-uw-2.1.m4 \
	${CFDIR}/ostype/sco3.2.m4 \
	${CFDIR}/ostype/solaris2.m4 \
	${CFDIR}/ostype/solaris2.ml.m4 \
	${CFDIR}/ostype/sunos3.5.m4 \
	${CFDIR}/ostype/sunos4.1.m4 \
	${CFDIR}/ostype/svr4.m4 \
	${CFDIR}/ostype/ultrix4.m4 \
	${CFDIR}/ostype/unknown.m4 \
	${CFDIR}/ostype/uxpds.m4 \
	${CFDIR}/siteconfig/uucp.cogsci.m4 \
	${CFDIR}/siteconfig/uucp.old.arpa.m4 \
	${CFDIR}/siteconfig/uucp.ucbarpa.m4 \
	${CFDIR}/siteconfig/uucp.ucbvax.m4 \

$(ALL):  $(M4FILES)

=== doc/intro/Makefile ===
#	@(#)Makefile	8.2 (Berkeley) 2/28/1994

DIR=	smm/09.sendmail
SRCS=	intro.me
MACROS=	-me

all: intro.ps

intro.ps: ${SRCS}
	rm -f ${.TARGET}
	${PIC} ${SRCS} | ${ROFF} > ${.TARGET}

.include <bsd.doc.mk>

## sendmail-wide 8.9.3+3.2W-23

=== Makefile ===
#
# Makefile for sendmail-wide Debian Package
# Copyright (c) 1999 Fumitoshi UKAI <ukai@debian.or.jp>
# Follow SENDMAIL LICENSE

SENDMAIL=sendmail
VERSION=8.9.3
DEBIANREVISION=23
WIDE=893+3.2W.patch

all: build

unpack: 
	mkdir debian/build
	tar zxfC $(SENDMAIL)_$(VERSION).orig.tar.gz debian/build
	touch unpack

debianpatch: unpack
	cat $(SENDMAIL)_$(VERSION)-$(DEBIANREVISION).diff | \
	  (cd debian/build/$(SENDMAIL)-$(VERSION) && patch -p1)
	-chmod +x debian/build/$(SENDMAIL)-$(VERSION)/debian/local/configure
	touch debianpatch

widepatch: debianpatch
	gunzip < $(SENDMAIL)$(WIDE).gz | \
	  (cd debian/build/$(SENDMAIL)-$(VERSION)/src && patch -p1)
	touch widepatch


build: widepatch
	cd debian/build/$(SENDMAIL)-$(VERSION) && \
	  chmod +x debian/rules && \
	  ./debian/rules build
	touch build

install: build
	cd debian/build/$(SENDMAIL)-$(VERSION) && \
	  $(MAKE) install DESTDIR=`pwd`/../../../debian/tmp

clean:
	-rm -rf debian/build
	-rm -f unpack debianpatch widepatch

=== debian/changelog ===
sendmail-wide (8.9.3+3.2W-23) stable; urgency=high

  * follow sendmail 8.9.3-23
  * fix segfault problem 

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed,  6 Sep 2000 14:32:33 +0900

sendmail-wide (8.9.3+3.2W-20.1) stable; urgency=low

  * fix some segfault

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed,  6 Sep 2000 13:42:04 +0900

sendmail-wide (8.9.3+3.2W-20) unstable; urgency=low

  * follow sendmail 8.9.3-20.

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 15 Jan 2000 01:49:59 +0900

sendmail-wide (8.9.3+3.2W-19) unstable; urgency=low

  * (from sendmail 8.9.3-19) patched against local user running sendmail -bi, DoS 

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue,  7 Dec 1999 22:54:11 +0900

sendmail-wide (8.9.3+3.2W-18) unstable; urgency=low

  * adapt sendmail_8.9.3-18

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 22 Nov 1999 02:16:49 +0900

sendmail-wide (8.9.3+3.2W-16) unstable; urgency=low

  * adapt sendmail_8.9.3-16

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 30 Oct 1999 00:48:12 +0900

sendmail-wide (8.9.3+3.2W-15) unstable; urgency=low

  * adapt sendmail_8.9.3-15

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 28 Oct 1999 23:26:59 +0900

sendmail-wide (8.9.3+3.2W-14) unstable; urgency=low

  * adapt sendmail_8.9.3-14
   - it includes:
      use autoconfig for NISPLUS so sendmail builds ok on m68k (closes: #48290)

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 27 Oct 1999 22:10:45 +0900

sendmail-wide (8.9.3+3.2W-13) unstable; urgency=low

  * adapt sendmail-8.9.3-13

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 27 Oct 1999 01:44:20 +0900

sendmail-wide (8.9.3+3.2W-12) unstable; urgency=low

  * adapt sendmail-8.9.3-12

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 25 Oct 1999 23:51:16 +0900

sendmail-wide (8.9.3+3.2W-6.1) unstable; urgency=low

  * Ignore error of "/etc/init.d/sendmail stop" in case that 
    sendmail is not running. 

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 21 Oct 1999 02:57:41 +0900

sendmail-wide (8.9.3+3.2W-6) unstable; urgency=low

  * adapt sendmail 8.9.3-6

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 17 Oct 1999 00:37:59 +0900

sendmail-wide (8.9.3+3.2W-3.3) unstable; urgency=low

  * don't generate /etc/mail/sendmail.cf by default
    if it was not generated by sendmail.mc

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 24 May 1999 15:41:34 +0900

sendmail-wide (8.9.3+3.2W-3.2) unstable; urgency=low

  * install to /usr/sbin/sendmail instead of sendmail-wide
   - register suid on /usr/sbin/sendmail again on postrm.
     because sendmail-wide diverting /usr/sbin/sendmail of sendmail 
     package, and when removing, it will be back again, but dpkg-divert
     strip setuid.

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 22 May 1999 00:28:53 +0900

sendmail-wide (8.9.3+3.2W-3.1) unstable; urgency=low

  * adapt sendmail 8.9.3-3
    with WIDE patch sendmail893+3.2W

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 20 May 1999 22:08:19 +0900

sendmail-wide (8.9.2+3.1W-3.1) frozen unstable; urgency=high

  * adapt sendmail 8.9.2-3
  * use libdb2 as well as sendmail 8.9.2-3, close Bug#32475, Bug#JP/748

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 27 Jan 1999 20:57:31 +0900

sendmail-wide (8.9.1+3.1W-15.1) frozen unstable; urgency=low

  * adapt sendmail 8.9.1-15

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Web, 6 Jan 1999 20:02:57 +0900

sendmail-wide (8.9.1+3.1W-9.3) unstable; urgency=low

  * fix bug of handling command line argument in /usr/sbin/sendmail wrapper 

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 15 Oct 1998 05:12:16 +0900

sendmail-wide (8.9.1+3.1W-9.2) unstable; urgency=low

  * install as /usr/sbin/sendmail-wide, and divert only wrapper shell script

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 14 Oct 1998 15:38:15 +0900

sendmail-wide (8.9.1+3.1W-9.1) unstable; urgency=low

  * build with -sa, to include original source file.
    orig.tar.gz of previous version is not correctly made.

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 12 Oct 1998 10:45:23 +0900

sendmail-wide (8.9.1+3.1W-9) unstable; urgency=low

  * apply WIDE patch

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu,  8 Oct 1998 14:52:45 +0900

sendmail (8.9.1-9) unstable; urgency=high, closes=26803

  * correct the socks wrapper for non-socks case - I pulled
    the wrong copy (#26803)

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Thu, 17 Sep 1998 12:00:00 -0500

sendmail (8.9.1-8) unstable; urgency=high, closes=26801

  * sigh... restore rmail to /usr/bin, even though its presence
    therein is a very longstanding bug (#26801)
    
 -- Richard A Nelson (Rick) <cowboy@debian.org>  Thu, 17 Sep 1998 11:00:00 -0500
    

sendmail (8.9.1-7) unstable; urgency=high, closes=26610 26399 26106

  * Remove dontinitgroups (#26610)
    This change updates debian.m4 so you'll have to run sendmailconfig
    to actually get the update enabled.

  * update /etc/hosts.allow automagically (#26399)
    sendmailconfig checks for sendmail in /etc/hosts.allow and
    adds a leading sendmail: all line if needed

  * sendmailconfig is now tolerant of warnings (#26106)

  * socks5 support - /usr/sbin/sendmail is a wrapper that calls
    /usr/sbin/sendmail.real if needed when runsocks is executable

  * change checksendmail to a+x

  * more cleanup of debian/rules

  * FHS changes:
    move /usr/lib/sendmail.cf/ to /usr/share/sendmail.cf/
    move /usr/lib/sendmail.hf to /usr/share/misc/sendmail.hf
    update sendmailconf, debian.m4

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Mon, 14 Sep 1998 10:00:00 -0500

sendmail (8.9.1-6) unstable; urgency=high

  * Sigh... I will not leave extraneous blanks in a .m4 file

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Wed, 14 Aug 1998 10:00:00 -0500

sendmail (8.9.1-5) unstable; urgency=high, closes=25639

  * Apply sendmail 8.9.1a security patch to protect the various MUAs
    This patch updates debian.m4 so you'll have to run sendmailconfig 
    to actually get the protection enabled.
    
  * Apply two proto.m4 patches from Claus:
    - bug wrt overriding the RBL


=== debian/control ===
Source: sendmail-wide
Section: mail
Priority: extra
Maintainer: Fumitoshi UKAI <ukai@debian.or.jp>
Standards-Version: 3.0.0

Package: sendmail-wide
Architecture: any
Depends: ${shlibs:Depends}, sendmail (>= 8.9.3)
Suggests: smtpfeed
Description: WIDE patch applied /usr/sbin/sendmail
 This package replaces /usr/sbin/sendmail with WIDE patch version,
 which provides some enhancement for the sendmail. Please apply
 this patch if you want to use "smtpfeed", which is an external SMTP mailer.
 WIDE patch includes followings patches:
  LOGWVERSION
  QUICK_RESPONSE       - bounce mail not queued
  MULTI_MAILER         - multiple mailer dispath in rulesetlikke:
        R$*<@dom>$*     $#smtp$@dom$:$1<@dom>$2 $#uucp$@dom$:$1<@dom>$2
  CF_ALIASING          - alias in ruleset 5 like:
        R foo-a       $# local $@ alias $: foo-a, foo-b
  DYNAMIC_TOBUF        - tobuf[] dynamic allocation
  MAILER_PREF          - mailer preferences
  CLIENT_SMTP_CONFIG   - 3 parameters of client-side SMTP connection 
        FQDN: FQDN used as a hostname with SMTP HELO
        SrcIPaddr: source IP address for client-side SMTP (12.34.56.78)
        SrcPort: source port number for client-side SMTP
  CTE8CHECK             - Option CTE8BitChec=[corrent|reject]
  BOUNCE_REASON         - Show reason of permanent fatal errors on each address 
  OO_NULLSENDER         - Set NULL sender envelope address for "owner-owner" 
  MF_SEPARATE
  MASKED_ADDR           - matching by masked IP address
  DEFINE_MAP            - Enables "define" map. 
  SPR_CON_CACHE         - connection-caching control par mailer basis.
  FORWARDPROGCTL        - privilege control on execution of programs 
                        via ~/.forward 
  MAILER_TIMEOUTS       - control message timeout per mailer basis. 
  CHECK_WARNING         - control whether a queue-warning should be sent or not
 For more information, see /usr/share/doc/sendmail-wide/00READ_ME.WIDE.gz
 .
 Note that original sendmail is diverted to /usr/sbin/sendmail-nowide.
 .
 WIDE is project name and stands for `Widely Integrated Distribution
 Environment'. Research goal of WIDE project is "to establish 
 large-scale distributed computing environment".  WIDE Project
 is working for providing the wide area communication infrastructure 
 with our telecommunication technology and operating system technology, 
 and trying hard to contribute to the people. http://www.wide.ad.jp/

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	rm -rf debian/tmp/usr/{bin,lib,man} debian/tmp/var
	install -m 644 debian/sendmail.8 `pwd`/debian/tmp/usr/share/man/man8
	cd debian/tmp/usr/sbin && rm -rf `ls -1 | grep -v sendmail`

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs `ls -1d debian/build/sendmail*`/src/{00READ_ME{.WIDE,.WIDE.j,.v6},COPYRIGHT.WIDE,README,TRACEFLAGS} \
			debian/TODO
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs debian/build/sendmail*/src/RELEASE_NOTES.WIDE
#	cd debian/tmp/usr/sbin && \
#		mv sendmail sendmail-wide && ln -s sendmail-wide sendmail
#	install -d debian/tmp/usr/share/man/man8
#	dh_link usr/man/man8/sendmail.8.gz usr/man/man8/sendmail-wide.8.gz
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here
#	chmod u+s debian/tmp/usr/sbin/sendmail-wide
	chmod u+s debian/tmp/usr/sbin/sendmail
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## sendmail-wide 8.9.3+3.2W-25

=== Makefile ===
--- 
+++ 
@@ -26,8 +26,14 @@
 	  (cd debian/build/$(SENDMAIL)-$(VERSION)/src && patch -p1)
 	touch widepatch
 
+securitypatch: widepatch
+	cat sendmail.8.9.3.security.cr.patch | \
+	 (cd debian/build/$(SENDMAIL)-$(VERSION) && patch -p0)
+	cat prescan.8.9.patch | \
+	 (cd debian/build/$(SENDMAIL)-$(VERSION)/src && patch -p0)
+	touch securitypatch
 
-build: widepatch
+build: securitypatch
 	cd debian/build/$(SENDMAIL)-$(VERSION) && \
 	  chmod +x debian/rules && \
 	  ./debian/rules build
@@ -39,4 +45,4 @@
 
 clean:
 	-rm -rf debian/build
-	-rm -f unpack debianpatch widepatch
+	-rm -f unpack debianpatch widepatch securitypatch

=== debian/changelog ===
sendmail-wide (8.9.3+3.2W-25) oldstable-security; urgency=high

  * apply prescan.8.9.patch
  * Fix a buffer overflow in address parsing
  * clean securitypatch target

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 31 Mar 2003 01:51:57 +0000

sendmail-wide (8.9.3+3.2W-24) oldstable-security; urgency=high

  * apply sendmail.8.9.3.security.cr.patch
  * fix Remote Sendmail Header Processing Vulnerability

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue,  4 Mar 2003 02:05:25 +0000

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: extra
 Maintainer: Fumitoshi UKAI <ukai@debian.or.jp>
 Standards-Version: 3.0.0
+Build-Depends: groff, m4, libwrap0-dev, debhelper
 
 Package: sendmail-wide
 Architecture: any
